Error: You have already activated rake 0.9.6, but your Gemfile requires rake 10.1.0. Using bundle exec may solve this.

[email protected]:/home/git/gitlab# rake -T | grep gitlab
rake aborted!
You have already activated rake 0.9.6, but your Gemfile requires rake 10.1.0. Using bundle exec may solve this.
/home/git/gitlab/config/boot.rb:6:in `<top (required)>'
/home/git/gitlab/config/application.rb:1:in `<top (required)>'
/home/git/gitlab/Rakefile:5:in `<top (required)>'
(See full trace by running task with --trace)
[email protected]:/home/git/gitlab# gem list rake

*** LOCAL GEMS ***

rake (0.9.6)

Solution:

gem install rake

You are reading this post on Joel G Mathew’s tech blog. Joel's personal blog is the Eyrie, hosted here.